Package org.optaplanner.core.config.exhaustivesearch

## Enum NodeExplorationType

- java.lang.Object
- - java.lang.Enum<NodeExplorationType>
  - - org.optaplanner.core.config.exhaustivesearch.NodeExplorationType

- All Implemented Interfaces:
    `Serializable`, `Comparable<NodeExplorationType>`

      public enum NodeExplorationType
      extends Enum<NodeExplorationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BREADTH_FIRST` |
    `DEPTH_FIRST` |
    `OPTIMISTIC_BOUND_FIRST` |
    `ORIGINAL_ORDER` |
    `SCORE_FIRST` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Comparator<ExhaustiveSearchNode>` | `buildNodeComparator​(boolean scoreBounderEnabled)` |
    `static NodeExplorationType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NodeExplorationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL_ORDER

          public static final NodeExplorationType ORIGINAL_ORDER

    - #### DEPTH_FIRST

          public static final NodeExplorationType DEPTH_FIRST

    - #### BREADTH_FIRST

          public static final NodeExplorationType BREADTH_FIRST

    - #### SCORE_FIRST

          public static final NodeExplorationType SCORE_FIRST

    - #### OPTIMISTIC_BOUND_FIRST

          public static final NodeExplorationType OPTIMISTIC_BOUND_FIRST

  - ### Method Detail

    - #### values

          public static NodeExplorationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeExplorationType c : NodeExplorationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeExplorationType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### buildNodeComparator

          public Comparator<ExhaustiveSearchNode> buildNodeComparator​(boolean scoreBounderEnabled)